﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Windows.Forms;

using PlatformSDKSample;

namespace QueryNVRLog
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            int retInitial = PlatformSDK.Initial();
            EventLog.Write("PlatformSDK.Initial Ret = {0:X}", retInitial);

            PlatformSDK.TLoginInfo loginInfo = new PlatformSDK.TLoginInfo();
            loginInfo.IP = "10.16.105.85";
            loginInfo.userName = "admin";
            loginInfo.password = "aaaa1111";
            loginInfo.port = 3454;
            loginInfo.VAST2WebSocketPort = 7768;        //only used for VAST2
            loginInfo.heartbeatPeriodSeconds = 5;
            loginInfo.useSSL = false;

            IntPtr loginID = IntPtr.Zero;
            uint retLogin = PlatformSDK.Login(ref loginID, ref loginInfo);
            EventLog.Write("PlatformSDK.Login Ret = {0:X}", retLogin);

            var mainForm = new Form1();
            mainForm.loginID = loginID;
            Application.Run(mainForm);
        }
    }
}
